
D4Science Infrastructure - Task #11709

Task # 10240 (Closed): Install a modern virtualisation framework to host the 'corporate' services

Post configuration of the oVirt manager

Apr 30, 2018 04:58 PM - Andrea Dell'Amico

Status: Closed Start date: Apr 30, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Migrate from Xen to a new virtualisation

system

  

Infrastructure: Development, Pre-Production,

Production

  

Description

Install the ansible tasks that customise the hypervisor firewall

Customise the ovirtmanager firewall in the same way, disabling esternal access to its services

Upload some ISO images

Automate the engine internal backup service

Distribute the sysadmins ssh keys

Backup the server

Related issues:

Related to D4Science Infrastructure - Task #10988: Install oVirt on dlib14x-19x Closed Sep 28, 2017

History

#1 - May 02, 2018 05:18 PM - Andrea Dell'Amico

- Related to Task #10988: Install oVirt on dlib14x-19x added

#2 - May 02, 2018 05:21 PM - Andrea Dell'Amico

The firewalld related ansible tasks must be the equivalent of the following commands:

firewall-cmd --zone=public --add-source=146.48.80.0/21

firewall-cmd --zone=public --add-source=146.48.122.0/23

firewall-cmd --zone=public --add-source=10.0.0.0/8

firewall-cmd --zone=public --add-source=192.168.0.0/16

firewall-cmd --zone=public --add-source=146.48.122.0/23 --permanent

firewall-cmd --zone=public --add-source=146.48.80.0/21 --permanent

firewall-cmd --zone=public --add-source=10.0.0.0/8 --permanent

firewall-cmd --zone=public --add-source=192.168.0.0/16 --permanent

firewall-cmd  --set-default-zone=drop

#3 - May 02, 2018 05:21 PM - Andrea Dell'Amico

The already available templates for the virtual machines need some refinement. I'm going to create a new template for Ubuntu 16.04, with a lot of

packages removed, python 2 installed, and ovirt-guest-agent correctly installed and configured.

If there are no objections I'll remove the Ubuntu 14.04 template.

#4 - May 02, 2018 07:08 PM - Andrea Dell'Amico

I've temporary created the host template.d4science.org with IP 146.48.123.174 to setup a VM that will be used to create a new VM template for

Ubuntu 16.04.

#5 - May 15, 2018 11:49 AM - Andrea Dell'Amico

- Status changed from New to In Progress

#6 - May 31, 2018 02:18 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
Done, I also added a logrotate entry to prune the engine backup files.
